]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
use set -eu
[config/dotfiles.git] / setup.sh
index 84a3020360929276950550538815f35be3ef8ea0..2d6e9b296f001a90191484597aa7a2458dcd0743 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
@@ -2,7 +2,7 @@
 
 # Setup script for mail configuration files.
 
-# Copyright (C) 2009-2012  Simon Ruderich
+# Copyright (C) 2009-2013  Simon Ruderich
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -eu
+
 . ../lib.sh
 
+
+generate mutt/display .in cat
+if mutt -v | grep sidebar >/dev/null 2>&1; then
+    echo 'mutt/display: enabling mutt sidebar settings'
+    sed_i 's/^#set sidebar_/set sidebar_/' mutt/display
+fi
+
 # Link setup.
-link abook ~/.abook
+if installed abook; then
+    link abook ~/.abook
+fi
 link gnupg ~/.gnupg
-link lbdbrc ~/.lbdbrc
+if installed lbdb; then
+    link lbdbrc ~/.lbdbrc
+fi
 link mailcap ~/.mailcap
 link mutt ~/.mutt